Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class ModuleManager

    java.lang.Object
      pipe.gui.ModuleManager

All Implemented Interfaces:
  Constants

    public class ModuleManager

extends java.lang.Object
implements Constants

The ModuleManager class contains methods to create swing components to allow the user to load modules and execute methods within them. To use, instantiate a ModuleManager object and use the methods to return the required components.

Nested Class Summary
`class` | `ModuleManager.TreeHandler`

Field Summary

Fields inherited from interface pipe.gui.Constants
`ADDTOKEN, ANIMATE, ANNOTATION, ANNOTATION_DEFAULT_FONT, ANNOTATION_DEFAULT_FONT_SIZE, ANNOTATION_LAYER_OFFSET, ANNOTATION_MIN_WIDTH, ANNOTATION_SIZE_OFFSET, ARC, ARC_CONTROL_POINT_CONSTANT, ARC_LAYER_OFFSET, ARC_PATH_PROXIMITY_WIDTH, ARC_PATH_SELECTION_WIDTH, ARC_POINT_LAYER_OFFSET, CLASS_FILE_DESC, CLASS_FILE_EXTENSION, CREATING, DEFAULT_ELEMENT_TYPE, DELETE, DELTOKEN, DRAG, DRAW, ELEMENT_FILL_COLOUR, ELEMENT_LINE_COLOUR, ENABLED_TRANSITION_COLOUR, FIRE, GRID, IMMTRANS, LOWEST_LAYER_OFFSET, NOTE_DISABLED_COLOUR, NOTE_EDITING_COLOUR, PLACE, PLACE_TRANSITION_HEIGHT, PLACE_TRANSITION_LAYER_OFFSET, PLACE_TRANSITION_PROXIMITY_RADIUS, PROPERTY_FILE_DESC, PROPERTY_FILE_EXTENSION, RANDOM, RESERVED_BORDER, RESIZE_POINT_DOWN_COLOUR, SELECT, SELECTION_FILL_COLOUR, SELECTION_LAYER_OFFSET, SELECTION_LINE_COLOUR, START, STEPBACKWARD, STEPFORWARD, STOP, TIMEDTRANS`

Constructor Summary
`ModuleManager()`

Method Summary
`void` | `addModuleToTree(javax.swing.tree.DefaultMutableTreeNode newNode)`
`java.util.Vector` | `getModuleClasses(java.io.File rootDir)` Finds all the fully qualified (ie: full package names) module classnames by recursively searching the rootDirectories
`java.io.File` | `getModuleDir()` Returns the directory under which the module properties files will be found.
`javax.swing.JTree` | `getModuleTree()`
`void` | `removeModuleFromTree(javax.swing.tree.DefaultMutableTreeNode newNode)` Removes a node from the Module subtree

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleManager

    public ModuleManager()

Method Detail

### getModuleDir

    public java.io.File getModuleDir()

  Returns the directory under which the module properties files will be found. At present this is the bin/cfg directory. Matthew - modified to access module folder directly

### getModuleClasses

    public java.util.Vector getModuleClasses(java.io.File rootDir)

  Finds all the fully qualified (ie: full package names) module classnames by recursively searching the rootDirectories

  Parameters:
    `rootDir` - The root directory to start searching from Matthew - created class filters and now cycle through the module directory dynamically loading all compliant pipe module class files.

### getModuleTree

    public javax.swing.JTree getModuleTree()

### addModuleToTree

    public void addModuleToTree(javax.swing.tree.DefaultMutableTreeNode newNode)

### removeModuleFromTree

    public void removeModuleFromTree(javax.swing.tree.DefaultMutableTreeNode newNode)

  Removes a node from the Module subtree

  Parameters:
    `newNode` - The node to be removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD